NoArbSabr Class Reference

no arbtrage sabr interpolation factory and traits More...

`#include <ql/experimental/volatility/noarbsabrinterpolation.hpp>`

## Public Member Functions

NoArbSabr (Time t, Real forward, Real alpha, Real beta, Real nu, Real rho, bool alphaIsFixed, bool betaIsFixed, bool nuIsFixed, bool rhoIsFixed, bool vegaWeighted=false, const ext::shared_ptr< EndCriteria > &endCriteria=ext::shared_ptr< EndCriteria >(), const ext::shared_ptr< OptimizationMethod > &optMethod=ext::shared_ptr< OptimizationMethod >(), const Real errorAccept=0.0020, const bool useMaxError=false, const Size maxGuesses=50)

template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const

## Static Public Attributes

static const bool | global = true

## Detailed Description

no arbtrage sabr interpolation factory and traits